List statements
curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/statements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/statements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "01K6ST06FJ4T11HRYE78AN7EFG",
"period_start": "2025-09-01",
"period_end": "2025-09-30",
"opening_balance": 15500,
"closing_balance": 15230.5,
"total_credits": 2500,
"total_debits": 2769.5,
"total_fees": 0,
"file_name": "statement_2025_09.pdf",
"file_size_bytes": 128000,
"uploaded_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 1,
"per_page": 25,
"total_count": 142,
"total_pages": 6,
"next_cursor": "eyJpZCI6IjAxSzVXRjA2TUo2VDk5SFJZRTQ4QU43WE04In0=",
"has_more": true
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}Statements
List statements
List available bank statements for an account.
GET
/
cases
/
{case_id}
/
bank-accounts
/
{account_id}
/
statements
List statements
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number for pagination.
Required range:
x >= 1Number of items per page.
Required range:
1 <= x <= 100⌘I

